Skip to main content
`Ctrl`+`K`

# skbio.io.registry.IORegistry.write

IORegistry.write(obj, format, into, **kwargs)

  Write an object as certain format into a file.

  Parameters:
    obj object

      The object to write as `format`.

    format str

      The format to write `obj` as.

    into openable (filepath, URL, filehandle, etc.)

      What to write `obj` to. Something that is understood by `skbio.io.open()`.

    kwargs dict, optional

      Keyword arguments will be passed to their respective handlers (`skbio.io.open()` and the writer for `format`).

  Returns:
    openable (filepath, URL, filehandle, etc.)

      Will pass back the user argument for `into` as a convenience.

  Raises:
    UnrecognizedFormatError

      Raised when a writer for writing `obj` as `format` could not be found.